FAXQCLEAN(8)

NAME
faxqclean - HylaFAX queue cleaner process

SYNOPSIS
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/usr/pkg/sbin/faxqclean [ options ]

DESCRIPTION
faxqclean is a program that processes completed HylaFAX jobs and expunges unreferenced document files. This program is intended to be invoked by cron(8) on behalf of the super user (i.e. root) one or more times a day. For example, the following crontab entry might be setup for root to run faxqclean each hour.

0   *    *    *    *   /tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/usr/pkg/sbin/faxqclean

When faxqclean is run it scans the doneq subdirectory in the HylaFAX spooling area and process each job according to the doneop field specified in the job description file; c.f. sendq(5). Jobs that are marked for removal are purged and references to documents are removed. Jobs that are marked for archival may be archived depending on the options supplied on the command line.

After scanning for completed jobs faxqclean scans the docq subdirectory and builds up a table of document files. Files that are not referenced by any job and that are older than a specified threshold are removed.

OPTIONS

-a  Enable job archiving support.

-A  This option forces archiving even if 'doneop' in the queue file is not 'archive', i.e. even if the user submitted the job without specifying the -A flag to sendfax

-j secs
    Set the job age threshold (in seconds) that controls how long jobs may reside in the doneq directory before being processed. By default this value is 15 minutes (15*60 = 900 seconds).

-d secs
    Set the document age threshold (in seconds) that controls how long unreferenced files may reside in the docq directory before being removed. By default this value is 1 hour (60*60 = 3600 seconds).

-n  Do not carry out any work; just show what would be done. This option is useful together with the -t option for debugging.

-q dir
    The specified directory is treated as the spooling area. The default spooling area, /tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax, is defined at the time the software is built.

-t  Trace in great detail exactly what faxqclean is doing. Messages are sent to the standard output.

-v  Print messages on the standard output about jobs removed or archived and about document files removed.

FILES
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax/doneq	directory to scan for completed jobs
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax/docq	directory to scan for unreferenced documents
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax/archive	directory where archived jobs are placed

Consult hylafax-server(5) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
faxq(8), hylafax-server(5), sendq(5), doneq(5), archive(5).